1. Este site usa cookies. Ao continuar a usar este site está a concordar com o nosso uso de cookies. Saber Mais.

Wireless - Intel(R) PRO 2100 no slackware 11

Discussão em 'Novidades GNU/Linux & *nix World' iniciada por nasty, 13 de Dezembro de 2006. (Respostas: 4; Visualizações: 821)

  1. Pessoal tive a ler em varios sitios e conclui que para ter a minha placa wireless a funcionar preciso de varias coisas:

    - compilar o kernel (compilei-o para a versao 2.6.14.1)
    - instalar o HostAP driver, ipw2100 driver e ipw2100 fw

    No entanto, e ao tentar instalar o hostap driver (que seria o primeiro passo a ser feito) dá-me um erro, o qual eu n entendo nem faco ideia de como resolver. O erro e o seguinte:

    make -C /lib/modules/ipw/hostap-driver-0.4.9/build SUBDIRS=/usr/src/ipw/hostap-driver-0.4.9/driver/modules modules \ MODVERDIR=/usr/src/ipw/hostap-driver-0.4.9/driver/modules modules

    make[1]: Entering directory `/usr/src/linux-2.6.14.1´
    CC [M] /usr/src/ipw/hostap-driver-0.4.9/driver/modules/hostap.o

    /usr/src/ipw/hostap-driver-0.4.9/driver/modules/hostap.c:45:2: #error Host AP driver was added into Linux 2.6.14

    /usr/src/ipw/hostap-driver-0.4.9/driver/modules/hostap.c:46:2: #error The version used in the kernel tree should be used instead of this

    /usr/src/ipw/hostap-driver-0.4.9/driver/modules/hostap.c:47:2: #error external release which is only mantained for old kernel versions

    make[2]: *** [/usr/src/ipw/hostap-driver-0.4.9/driver/modules/hostap.o] Error 1

    make[1]:*** [_module_/usr/src/ipw/hostap-driver-0.4.9/driver/modules] Error 2

    make[1]: *** Leaving directory `/usr/src/linux-2.6.14.1
    make: *** [2.6] Error 2

    Alguem sabe de kek se trata e como posso resolver isto? Desde ja obrigado. abraco
     
  2. LnxSlck

    LnxSlck Power Member

    Já existe suporte para isso na kernel, por isso não precisas de fazer o make do driver
     
  3. ahhh! mas preciso disto nao preciso? -
    ieee80211-1.0.1.tgz
     
  4. PrOdG

    PrOdG Power Member

    As versões mais recentes do kernel (não sei se a 2.6.14 já traz) já trazem suporte para ieee80211, mas pelo que tenho visto é mais fiável usares um módulo externo e desactivares o do kernel. Portanto, resumindo, precisas :)
     
  5. LnxSlck

    LnxSlck Power Member


    É mesmo isso, as kernels mais recentes já trazem, mas a maior parte dos tutoriais da net, aconselham a usar os módulos externos.
     

Partilhar esta Página